<?php

session_start();

require_once 'conexao.php';
require_once '../gerador/mysqlConsulta.php';
require_once '../gerador/SqlServer.php';
require_once 'ConexaoSQL.php';
require_once 'RemotoInterno.php';

// Caminho do arquivo
$arquivo = '../arquivos/importar.txt';


$usuario = $_SESSION['usuario'];
$loja = $_SESSION['loja'];

$remoto = new RemotoInterno();
$mysql = new MysqlConsulta;
$sql = new SqlServer;

$lojaOrigem = $remoto->TransformarLoja ($loja);

// Verifica se o arquivo existe
if (file_exists($arquivo)) {
    // Abre o arquivo para leitura
    $handle = fopen($arquivo, 'r');
    
    if ($handle) {
        // Percorre cada linha do arquivo
        while (($linha = fgetcsv($handle, 0, ";")) !== false) {

            // $linha é um array com os dados separados por ";"
            $docBarras = $linha[0];
            $quantidadeImportar = $linha[1];
            $descricaoProduto = $linha[2];
            
            // Exibe os valores

        $codigoItemSoftcom =  $sql->VerificarSeTemCadastro($docBarras);

        if ($codigoItemSoftcom) {

        $remoto = $mysql->cadastrarAvaria($conexao,$quantidadeImportar,$lojaOrigem,$docBarras,$usuario,"entrada",0,0,0);

        }else{

           $sqlNew = "INSERT INTO `naocadastradosimportacaoavaria` (`id`, `ean`, `quan`) VALUES (NULL, '$docBarras', '$quantidadeImportar'); ";
           mysqli_query($conexao,$sqlNew);
        }

        }
        // Fecha o arquivo
        fclose($handle);

       header("Location: ../avaria.php");

    } else {
        echo "Erro ao abrir o arquivo.";
    }
} else {
    echo "O arquivo não foi encontrado.";
}

?>
